program test_read_eddy

  ! Libraries:
  use mpi_f08, only: mpi_init, mpi_finalize

  use derived_types, only: eddy, shp_tr
  use read_eddy_m, only: read_eddy
  use shp_tr_close_m, only: shp_tr_close
  use shp_tr_create_m, only: shp_tr_create
  use shp_tr_open_m, only: shp_tr_open
  use write_eddy_m, only: write_eddy

  implicit none

  type(eddy) e
  integer k, i
  TYPE(shp_tr) hshp

  !-------------------------------------------------------------------------

  call mpi_init
  call shp_tr_open(hshp, "SHP_triplet_old", rank = 0)
  call read_eddy(e, k, i, hshp, ishape = 0)
  CALL shp_tr_close(hshp)

  call shp_tr_create(hshp, shp_tr_dir = "SHP_triplet")
  call write_eddy(e, hshp, k, i)
  CALL shp_tr_close(hshp)
  print *, 'Created shapefiles in SHP_triplet.'
  call mpi_finalize

end program test_read_eddy
