# Appends the content of a source triplet of shapefiles into a
# destination triplet of shapefiles. Each triplet directory should
# already contain a file "ishape_last.txt". Assuming the first date of
# the source triplet is one more day than the last date of the
# destination triplet.

if (($# != 2))
then
    echo "Usage: shp_tr_append.sh from_triplet to_triplet"
    exit 1
fi

set -xe

for my_base in extremum outermost_contour max_speed_contour
do
    shpcat $1/$my_base $2/$my_base
    dbfcat $1/$my_base $2/$my_base
done

i2=`tail -1 $2/ishape_last.txt`

while read i1
do
    echo $((i2 + 1 + i1)) >>$2/ishape_last.txt
done <$1/ishape_last.txt
